dataset = ['data' filesep 'watersurface'];
load(dataset);
idx = 1:size(ImData,3);
filename = [dataset, '_tv_result.mat'];
lambda = [0.4 2 1];

[D_hat B_hat F_hat E_hat M_hat] = rpca_tv(dataset, idx, lambda);

save(filename,'F_hat');
